const _Http = getApp().globalData.http;

Page({
    data: {
        radio: false, //是否为单选
        content: {
            "ownertable": "sa_itemgroup",
            "ownerid": 11,
            pageSize: 20,
            pageNumber: 1,
            pageTotal: 1,
            "where": {
                "condition": ""
            }
        },
        list: [],
        result: [],
    },
    onLoad(options) {
        //是否为单选
        if (options.radio) this.setData({
            radio: true
        })
        if (options.ownertable) {
            this.setData({
                "content.ownertable": options.ownertable,
                "content.ownerid": options.ownerid,
            });
            this.getList();
            console.log(this.data.content)
        };
    },
    submit() {
        let result = this.data.result;
        if (result.length == 0) return;
        console.log(result)
        _Http.basic({
            "id": 20220930103601,
            "content": {
                "ownertable": this.data.content.ownertable,
                "ownerid": this.data.content.ownerid,
                "userids": result
            }
        }).then(res => {
            if (res.msg != '成功') return wx.showToast({
                title: res.data,
                icon: "none"
            });
            wx.showToast({
                title: '保存成功',
                icon: "none"
            });
            setTimeout(() => {
                const pages = getCurrentPages();
                pages[pages.length - 2].selectComponent("#Group").getList();
                wx.navigateBack();
            }, 300)
        })
    },
    /* 选中 */
    onChange(e) {
        const userid = e.currentTarget.dataset.item.userid + "";
        if (!userid) return;
        if (this.data.radio) {
            this.setData({
                result: [userid]
            })
        } else {
            let result = this.data.result;
            if (result.some(v => v == userid)) {
                result = result.filter(v => v != userid)
            } else {
                result.push(userid)
            }
            this.setData({
                result
            })
        }
    },
    //获取列表
    getList(init = false) {
        let content = this.data.content;
        if (init) {
            content.pageTotal = 1
            content.pageNumber = 1
        }
        if (content.pageNumber > content.pageTotal) return;
        _Http.basic({
            "id": 20221018122201,
            content
        }).then(res => {
            console.log("数据团队列表", res)
            this.setData({
                list: res.pageNumber == 1 ? res.data : this.data.list.concat(res.data),
                "content.pageTotal": res.pageTotal,
                "content.pageNumber": res.pageNumber + 1,
            })
        })
    },
    onReachBottom() {
        this.getList();
    }
})